# Note that this is NOT a relocatable package
%define name gnome-network
%define version 1.0.2
%define prefix /usr

Summary: GNOME network programs
Name: %{name}
Version: %{version}
Release: 3mdk
Copyright: LGPL
Group: Graphical desktop/GNOME 
Source: ftp://ftp.gnome.org/pub/%{name}-%{version}.tar.bz2
Source2: %{name}
Source3: %{name}-icons.tar.bz2
Source4: %{name}-gnome-ppp-help.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Icon: gnome-network-logo.xpm
URL: http://www.gnome.org
Docdir: %{prefix}/doc

%description
GNOME network programs.

GNOME is the GNU Network Object Model Environment. That's a fancy name but
really GNOME is a nice GUI desktop environment. It makes using your computer
easy, powerful, and easy to configure.

%prep
%setup -q

%build

# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix \
	--sysconfdir=/etc --localstatedir=/var/lib
else
		automake
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
	--sysconfdir=/etc --localstatedir=/var/lib
fi
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc \
	localstatedir=$RPM_BUILD_ROOT/var/lib install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/menu/  

install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
tar yxvf %{SOURCE3} -C $RPM_BUILD_ROOT/usr/share/icons

# (gc) I could not make the doc, docbook 3.1 and so on. Camille made it for me. Thank you Camille!
tar yxvf %{SOURCE4} -C $RPM_BUILD_ROOT/%{prefix}/share/gnome/help/gnome-ppp/C/

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config /etc/CORBA/servers/*
%{prefix}/bin/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/applets/Network/*.desktop
# %{prefix}/share/gnome/apps/Internet/*.desktop
%{prefix}/share/gnome/help/*
%{prefix}/share/pixmaps/*
%{prefix}/lib/menu/*
%{prefix}/share/icons/*.xpm

%changelog
* Thu Apr 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-3mdk
- fixed file-not-found in help system of gnome-ppp, with highly
  precious help from Camille with sgml
- added menu entries

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.2-2mdk
- match new group.
- SMP build/check.
- cleanup spec.

* Fri Jan 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed build by non-root

* Tue Jan 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- built for Mandrake

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-network CVS source tree


